diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/flow-monitor/model/ipv6-flow-probe.h ns-3.44/src/flow-monitor/model/ipv6-flow-probe.h
--- ns-3.43/src/flow-monitor/model/ipv6-flow-probe.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/flow-monitor/model/ipv6-flow-probe.h	2025-03-09 16:55:49.379371200 -0700
@@ -22,8 +22,8 @@
 class FlowMonitor;
 class Node;
 
-/// \ingroup flow-monitor
-/// \brief Class that monitors flows at the IPv6 layer of a Node
+/// @ingroup flow-monitor
+/// @brief Class that monitors flows at the IPv6 layer of a Node
 ///
 /// For each node in the simulation, one instance of the class
 /// Ipv4FlowProbe is created to monitor that node.  Ipv4FlowProbe
@@ -32,18 +32,18 @@
 class Ipv6FlowProbe : public FlowProbe
 {
   public:
-    /// \brief Constructor
-    /// \param monitor the FlowMonitor this probe is associated with
-    /// \param classifier the Ipv4FlowClassifier this probe is associated with
-    /// \param node the Node this probe is associated with
+    /// @brief Constructor
+    /// @param monitor the FlowMonitor this probe is associated with
+    /// @param classifier the Ipv4FlowClassifier this probe is associated with
+    /// @param node the Node this probe is associated with
     Ipv6FlowProbe(Ptr<FlowMonitor> monitor, Ptr<Ipv6FlowClassifier> classifier, Ptr<Node> node);
     ~Ipv6FlowProbe() override;
 
     /// Register this type.
-    /// \return The TypeId.
+    /// @return The TypeId.
     static TypeId GetTypeId();
 
-    /// \brief enumeration of possible reasons why a packet may be dropped
+    /// @brief enumeration of possible reasons why a packet may be dropped
     enum DropReason
     {
         /// Packet dropped due to missing route to the destination
@@ -81,40 +81,40 @@
 
   private:
     /// Log a packet being sent
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param interface outgoing interface
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param interface outgoing interface
     void SendOutgoingLogger(const Ipv6Header& ipHeader,
                             Ptr<const Packet> ipPayload,
                             uint32_t interface);
     /// Log a packet being forwarded
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param interface incoming interface
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param interface incoming interface
     void ForwardLogger(const Ipv6Header& ipHeader, Ptr<const Packet> ipPayload, uint32_t interface);
     /// Log a packet being received by the destination
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param interface incoming interface
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param interface incoming interface
     void ForwardUpLogger(const Ipv6Header& ipHeader,
                          Ptr<const Packet> ipPayload,
                          uint32_t interface);
     /// Log a packet being dropped
-    /// \param ipHeader IP header
-    /// \param ipPayload IP payload
-    /// \param reason drop reason
-    /// \param ipv6 pointer to the IP object dropping the packet
-    /// \param ifIndex interface index
+    /// @param ipHeader IP header
+    /// @param ipPayload IP payload
+    /// @param reason drop reason
+    /// @param ipv6 pointer to the IP object dropping the packet
+    /// @param ifIndex interface index
     void DropLogger(const Ipv6Header& ipHeader,
                     Ptr<const Packet> ipPayload,
                     Ipv6L3Protocol::DropReason reason,
                     Ptr<Ipv6> ipv6,
                     uint32_t ifIndex);
     /// Log a packet being dropped by a queue
-    /// \param ipPayload IP payload
+    /// @param ipPayload IP payload
     void QueueDropLogger(Ptr<const Packet> ipPayload);
     /// Log a packet being dropped by a queue disc
-    /// \param item queue disc item
+    /// @param item queue disc item
     void QueueDiscDropLogger(Ptr<const QueueDiscItem> item);
 
     Ptr<Ipv6FlowClassifier> m_classifier; //!< the Ipv6FlowClassifier this probe is associated with
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/CMakeLists.txt ns-3.44/src/internet/CMakeLists.txt
--- ns-3.43/src/internet/CMakeLists.txt	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/CMakeLists.txt	2025-03-09 16:55:49.379371200 -0700
@@ -343,4 +343,5 @@
   LIBRARIES_TO_LINK ${libbridge}
                     ${libtraffic-control}
   TEST_SOURCES ${test_sources}
+  GENERATE_EXPORT_HEADER
 )
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/examples/main-simple.cc ns-3.44/src/internet/examples/main-simple.cc
--- ns-3.43/src/internet/examples/main-simple.cc	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/examples/main-simple.cc	2025-03-09 16:55:49.383371000 -0700
@@ -21,8 +21,8 @@
  * the function is scheduled to send a packet of (size-50) after 0.5s.
  * The process is iterated until the packet size is zero.
  *
- * \param socket output socket
- * \param size packet size
+ * @param socket output socket
+ * @param size packet size
  */
 static void
 GenerateTraffic(Ptr<Socket> socket, int32_t size)
@@ -40,7 +40,7 @@
 
 /**
  * Prints the packets received by a socket
- * \param socket input socket
+ * @param socket input socket
  */
 static void
 SocketPrinter(Ptr<Socket> socket)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/internet-stack-helper.cc ns-3.44/src/internet/helper/internet-stack-helper.cc
--- ns-3.43/src/internet/helper/internet-stack-helper.cc	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/internet-stack-helper.cc	2025-03-09 16:55:49.383371000 -0700
@@ -363,10 +363,10 @@
 }
 
 /**
- * \brief Sync function for IPv4 packet - Pcap output
- * \param p smart pointer to the packet
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 packet - Pcap output
+ * @param p smart pointer to the packet
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolRxTxSink(Ptr<const Packet> p, Ptr<Ipv4> ipv4, uint32_t interface)
@@ -469,10 +469,10 @@
 }
 
 /**
- * \brief Sync function for IPv6 packet - Pcap output
- * \param p smart pointer to the packet
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 packet - Pcap output
+ * @param p smart pointer to the packet
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolRxTxSink(Ptr<const Packet> p, Ptr<Ipv6> ipv6, uint32_t interface)
@@ -575,13 +575,13 @@
 }
 
 /**
- * \brief Sync function for IPv4 dropped packet - Ascii output
- * \param stream the output stream
- * \param header IPv4 header
- * \param packet smart pointer to the packet
- * \param reason the reason for the dropping
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 dropped packet - Ascii output
+ * @param stream the output stream
+ * @param header IPv4 header
+ * @param packet smart pointer to the packet
+ * @param reason the reason for the dropping
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolDropSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -610,11 +610,11 @@
 }
 
 /**
- * \brief Sync function for IPv4 transmitted packet - Ascii output
- * \param stream the output stream
- * \param packet smart pointer to the packet
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 transmitted packet - Ascii output
+ * @param stream the output stream
+ * @param packet smart pointer to the packet
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolTxSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -633,11 +633,11 @@
 }
 
 /**
- * \brief Sync function for IPv4 received packet - Ascii output
- * \param stream the output stream
- * \param packet smart pointer to the packet
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 received packet - Ascii output
+ * @param stream the output stream
+ * @param packet smart pointer to the packet
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolRxSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -656,14 +656,14 @@
 }
 
 /**
- * \brief Sync function for IPv4 dropped packet - Ascii output
- * \param stream the output stream
- * \param context the context
- * \param header IPv4 header
- * \param packet smart pointer to the packet
- * \param reason the reason for the dropping
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 dropped packet - Ascii output
+ * @param stream the output stream
+ * @param context the context
+ * @param header IPv4 header
+ * @param packet smart pointer to the packet
+ * @param reason the reason for the dropping
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolDropSinkWithContext(Ptr<OutputStreamWrapper> stream,
@@ -699,12 +699,12 @@
 }
 
 /**
- * \brief Sync function for IPv4 transmitted packet - Ascii output
- * \param stream the output stream
- * \param context the context
- * \param packet smart pointer to the packet
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 transmitted packet - Ascii output
+ * @param stream the output stream
+ * @param context the context
+ * @param packet smart pointer to the packet
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolTxSinkWithContext(Ptr<OutputStreamWrapper> stream,
@@ -730,12 +730,12 @@
 }
 
 /**
- * \brief Sync function for IPv4 received packet - Ascii output
- * \param stream the output stream
- * \param context the context
- * \param packet smart pointer to the packet
- * \param ipv4 smart pointer to the node's IPv4 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv4 received packet - Ascii output
+ * @param stream the output stream
+ * @param context the context
+ * @param packet smart pointer to the packet
+ * @param ipv4 smart pointer to the node's IPv4 stack
+ * @param interface incoming interface
  */
 static void
 Ipv4L3ProtocolRxSinkWithContext(Ptr<OutputStreamWrapper> stream,
@@ -919,13 +919,13 @@
 }
 
 /**
- * \brief Sync function for IPv6 dropped packet - Ascii output
- * \param stream the output stream
- * \param header IPv6 header
- * \param packet smart pointer to the packet
- * \param reason the reason for the dropping
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 dropped packet - Ascii output
+ * @param stream the output stream
+ * @param header IPv6 header
+ * @param packet smart pointer to the packet
+ * @param reason the reason for the dropping
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolDropSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -954,11 +954,11 @@
 }
 
 /**
- * \brief Sync function for IPv6 transmitted packet - Ascii output
- * \param stream the output stream
- * \param packet smart pointer to the packet
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 transmitted packet - Ascii output
+ * @param stream the output stream
+ * @param packet smart pointer to the packet
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolTxSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -977,11 +977,11 @@
 }
 
 /**
- * \brief Sync function for IPv6 received packet - Ascii output
- * \param stream the output stream
- * \param packet smart pointer to the packet
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 received packet - Ascii output
+ * @param stream the output stream
+ * @param packet smart pointer to the packet
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolRxSinkWithoutContext(Ptr<OutputStreamWrapper> stream,
@@ -1000,14 +1000,14 @@
 }
 
 /**
- * \brief Sync function for IPv6 dropped packet - Ascii output
- * \param stream the output stream
- * \param context the context
- * \param header IPv6 header
- * \param packet smart pointer to the packet
- * \param reason the reason for the dropping
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 dropped packet - Ascii output
+ * @param stream the output stream
+ * @param context the context
+ * @param header IPv6 header
+ * @param packet smart pointer to the packet
+ * @param reason the reason for the dropping
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolDropSinkWithContext(Ptr<OutputStreamWrapper> stream,
@@ -1043,12 +1043,12 @@
 }
 
 /**
- * \brief Sync function for IPv6 transmitted packet - Ascii output
- * \param stream the output stream
- * \param context the context
- * \param packet smart pointer to the packet
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 transmitted packet - Ascii output
+ * @param stream the output stream
+ * @param context the context
+ * @param packet smart pointer to the packet
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolTxSinkWithContext(Ptr<OutputStreamWrapper> stream,
@@ -1074,12 +1074,12 @@
 }
 
 /**
- * \brief Sync function for IPv6 received packet - Ascii output
- * \param stream the output stream
- * \param context the context
- * \param packet smart pointer to the packet
- * \param ipv6 smart pointer to the node's IPv6 stack
- * \param interface incoming interface
+ * @brief Sync function for IPv6 received packet - Ascii output
+ * @param stream the output stream
+ * @param context the context
+ * @param packet smart pointer to the packet
+ * @param ipv6 smart pointer to the node's IPv6 stack
+ * @param interface incoming interface
  */
 static void
 Ipv6L3ProtocolRxSinkWithContext(Ptr<OutputStreamWrapper> stream,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/internet-stack-helper.h ns-3.44/src/internet/helper/internet-stack-helper.h
--- ns-3.43/src/internet/helper/internet-stack-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/internet-stack-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -27,26 +27,26 @@
 class Ipv6RoutingHelper;
 
 /**
- * \defgroup internet Internet
+ * @defgroup internet Internet
  *
  * This section documents the API of the ns-3 internet module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
 
 /**
- * \ingroup internet
- * \defgroup ipv4Helpers IPv4 Helper classes
+ * @ingroup internet
+ * @defgroup ipv4Helpers IPv4 Helper classes
  */
 
 /**
- * \ingroup internet
- * \defgroup ipv6Helpers IPv6 Helper classes
+ * @ingroup internet
+ * @defgroup ipv6Helpers IPv6 Helper classes
  */
 
 /**
- * \ingroup internet
+ * @ingroup internet
  *
- * \brief aggregate IP/TCP/UDP functionality to existing Nodes.
+ * @brief aggregate IP/TCP/UDP functionality to existing Nodes.
  *
  * This helper enables pcap and ascii tracing of events in the internet stack
  * associated with a node.  This is substantially similar to the tracing
@@ -97,15 +97,15 @@
     ~InternetStackHelper() override;
 
     /**
-     * \brief Copy constructor
-     * \param o Object to copy from.
+     * @brief Copy constructor
+     * @param o Object to copy from.
      */
     InternetStackHelper(const InternetStackHelper& o);
 
     /**
-     * \brief Copy constructor
-     * \param o Object to copy from.
-     * \returns A copy of the InternetStackHelper.
+     * @brief Copy constructor
+     * @param o Object to copy from.
+     * @returns A copy of the InternetStackHelper.
      */
     InternetStackHelper& operator=(const InternetStackHelper& o);
 
@@ -115,7 +115,7 @@
     void Reset();
 
     /**
-     * \param routing a new routing helper
+     * @param routing a new routing helper
      *
      * Set the routing helper to use during Install. The routing
      * helper is really an object factory which is used to create
@@ -126,8 +126,8 @@
     void SetRoutingHelper(const Ipv4RoutingHelper& routing);
 
     /**
-     * \brief Set IPv6 routing helper.
-     * \param routing IPv6 routing helper
+     * @brief Set IPv6 routing helper.
+     * @param routing IPv6 routing helper
      */
     void SetRoutingHelper(const Ipv6RoutingHelper& routing);
 
@@ -136,7 +136,7 @@
      * onto the provided node.  This method will do nothing if the stacks are already installed,
      * and will not overwrite existing stacks parameters.
      *
-     * \param nodeName The name of the node on which to install the stack.
+     * @param nodeName The name of the node on which to install the stack.
      */
     void Install(std::string nodeName) const;
 
@@ -145,7 +145,7 @@
      * onto the provided node.  This method will do nothing if the stacks are already installed,
      * and will not overwrite existing stacks parameters.
      *
-     * \param node The node on which to install the stack.
+     * @param node The node on which to install the stack.
      */
     void Install(Ptr<Node> node) const;
 
@@ -154,7 +154,7 @@
      * ns3::Ipv4, ns3::Ipv6, ns3::Udp, and, ns3::Tcp classes.  This method will do nothing if the
      * stacks are already installed, and will not overwrite existing stacks parameters.
      *
-     * \param c NodeContainer that holds the set of nodes on which to install the
+     * @param c NodeContainer that holds the set of nodes on which to install the
      * new stacks.
      */
     void Install(NodeContainer c) const;
@@ -165,26 +165,26 @@
     void InstallAll() const;
 
     /**
-     * \brief Enable/disable IPv4 stack install.
-     * \param enable enable state
+     * @brief Enable/disable IPv4 stack install.
+     * @param enable enable state
      */
     void SetIpv4StackInstall(bool enable);
 
     /**
-     * \brief Enable/disable IPv6 stack install.
-     * \param enable enable state
+     * @brief Enable/disable IPv6 stack install.
+     * @param enable enable state
      */
     void SetIpv6StackInstall(bool enable);
 
     /**
-     * \brief Enable/disable IPv4 ARP Jitter.
-     * \param enable enable state
+     * @brief Enable/disable IPv4 ARP Jitter.
+     * @param enable enable state
      */
     void SetIpv4ArpJitter(bool enable);
 
     /**
-     * \brief Enable/disable IPv6 NS and RS Jitter.
-     * \param enable enable state
+     * @brief Enable/disable IPv6 NS and RS Jitter.
+     * @param enable enable state
      */
     void SetIpv6NsRsJitter(bool enable);
 
@@ -194,10 +194,10 @@
      * have been assigned.  The Install() method should have previously been
      * called by the user.
      *
-     * \param stream first stream index to use
-     * \param c NodeContainer of the set of nodes for which the internet models
+     * @param stream first stream index to use
+     * @param c NodeContainer of the set of nodes for which the internet models
      *          should be modified to use a fixed stream
-     * \return the number of stream indices assigned by this helper
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NodeContainer c, int64_t stream);
 
@@ -261,73 +261,73 @@
                                  bool explicitFilename) override;
 
     /**
-     * \brief Initialize the helper to its default values
+     * @brief Initialize the helper to its default values
      */
     void Initialize();
 
     /**
-     * \brief IPv4 routing helper.
+     * @brief IPv4 routing helper.
      */
     const Ipv4RoutingHelper* m_routing;
 
     /**
-     * \brief IPv6 routing helper.
+     * @brief IPv6 routing helper.
      */
     const Ipv6RoutingHelper* m_routingv6;
 
     /**
-     * \brief create an object from its TypeId and aggregates it to the node. Does nothing if
+     * @brief create an object from its TypeId and aggregates it to the node. Does nothing if
      * an object of the same type is already aggregated to the node.
-     * \param node the node
-     * \param typeId the object TypeId
+     * @param node the node
+     * @param typeId the object TypeId
      */
     static void CreateAndAggregateObjectFromTypeId(Ptr<Node> node, const std::string typeId);
 
     /**
-     * \brief checks if there is an hook to a Pcap wrapper
-     * \param ipv4 pointer to the IPv4 object
-     * \returns true if a hook is found
+     * @brief checks if there is an hook to a Pcap wrapper
+     * @param ipv4 pointer to the IPv4 object
+     * @returns true if a hook is found
      */
     bool PcapHooked(Ptr<Ipv4> ipv4);
 
     /**
-     * \brief checks if there is an hook to an ascii output stream
-     * \param ipv4 pointer to the IPv4 object
-     * \returns true if a hook is found
+     * @brief checks if there is an hook to an ascii output stream
+     * @param ipv4 pointer to the IPv4 object
+     * @returns true if a hook is found
      */
     bool AsciiHooked(Ptr<Ipv4> ipv4);
 
     /**
-     * \brief checks if there is an hook to a Pcap wrapper
-     * \param ipv6 pointer to the IPv6 object
-     * \returns true if a hook is found
+     * @brief checks if there is an hook to a Pcap wrapper
+     * @param ipv6 pointer to the IPv6 object
+     * @returns true if a hook is found
      */
     bool PcapHooked(Ptr<Ipv6> ipv6);
 
     /**
-     * \brief checks if there is an hook to an ascii output stream
-     * \param ipv6 pointer to the IPv6 object
-     * \returns true if a hook is found
+     * @brief checks if there is an hook to an ascii output stream
+     * @param ipv6 pointer to the IPv6 object
+     * @returns true if a hook is found
      */
     bool AsciiHooked(Ptr<Ipv6> ipv6);
 
     /**
-     * \brief IPv4 install state (enabled/disabled) ?
+     * @brief IPv4 install state (enabled/disabled) ?
      */
     bool m_ipv4Enabled;
 
     /**
-     * \brief IPv6 install state (enabled/disabled) ?
+     * @brief IPv6 install state (enabled/disabled) ?
      */
     bool m_ipv6Enabled;
 
     /**
-     * \brief IPv4 ARP Jitter state (enabled/disabled) ?
+     * @brief IPv4 ARP Jitter state (enabled/disabled) ?
      */
     bool m_ipv4ArpJitterEnabled;
 
     /**
-     * \brief IPv6 IPv6 NS and RS Jitter state (enabled/disabled) ?
+     * @brief IPv6 IPv6 NS and RS Jitter state (enabled/disabled) ?
      */
     bool m_ipv6NsRsJitterEnabled;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/internet-trace-helper.h ns-3.44/src/internet/helper/internet-trace-helper.h
--- ns-3.43/src/internet/helper/internet-trace-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/internet-trace-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
  * @brief Base class providing common user-level pcap operations for helpers
  * representing IPv4 protocols .
@@ -93,8 +93,8 @@
      * @brief Enable pcap output on all Ipv4 and interface pairs existing in the
      * nodes provided in the container.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param n container of nodes.
+     * @param prefix Filename prefix to use for pcap files.
+     * @param n container of nodes.
      */
     void EnablePcapIpv4(std::string prefix, NodeContainer n);
 
@@ -124,7 +124,7 @@
 };
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
  * @brief Base class providing common user-level ascii trace operations for
  * helpers representing IPv4 protocols .
@@ -249,8 +249,8 @@
      * @brief Enable ascii trace output on all Ipv4 and interface pairs existing
      * in the nodes provided in the container.
      *
-     * \param prefix Filename prefix to use for ascii files.
-     * \param n container of nodes.
+     * @param prefix Filename prefix to use for ascii files.
+     * @param n container of nodes.
      */
     void EnableAsciiIpv4(std::string prefix, NodeContainer n);
 
@@ -260,7 +260,7 @@
      *
      * @param stream An OutputStreamWrapper representing an existing file to use
      *               when writing trace data.
-     * \param n container of nodes.
+     * @param n container of nodes.
      */
     void EnableAsciiIpv4(Ptr<OutputStreamWrapper> stream, NodeContainer n);
 
@@ -409,7 +409,7 @@
 };
 
 /**
- * \ingroup ipv6Helpers
+ * @ingroup ipv6Helpers
  *
  * @brief Base class providing common user-level pcap operations for helpers
  * representing IPv6 protocols .
@@ -483,8 +483,8 @@
      * @brief Enable pcap output on all Ipv6 and interface pairs existing in the
      * nodes provided in the container.
      *
-     * \param prefix Filename prefix to use for pcap files.
-     * \param n container of nodes.
+     * @param prefix Filename prefix to use for pcap files.
+     * @param n container of nodes.
      */
     void EnablePcapIpv6(std::string prefix, NodeContainer n);
 
@@ -514,7 +514,7 @@
 };
 
 /**
- * \ingroup ipv6Helpers
+ * @ingroup ipv6Helpers
  *
  * @brief Base class providing common user-level ascii trace operations for
  * helpers representing IPv6 protocols .
@@ -639,8 +639,8 @@
      * @brief Enable ascii trace output on all Ipv6 and interface pairs existing
      * in the nodes provided in the container.
      *
-     * \param prefix Filename prefix to use for ascii files.
-     * \param n container of nodes.
+     * @param prefix Filename prefix to use for ascii files.
+     * @param n container of nodes.
      */
     void EnableAsciiIpv6(std::string prefix, NodeContainer n);
 
@@ -650,7 +650,7 @@
      *
      * @param stream An OutputStreamWrapper representing an existing file to use
      *               when writing trace data.
-     * \param n container of nodes.
+     * @param n container of nodes.
      */
     void EnableAsciiIpv6(Ptr<OutputStreamWrapper> stream, NodeContainer n);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv4-address-helper.h ns-3.44/src/internet/helper/ipv4-address-helper.h
--- ns-3.43/src/internet/helper/ipv4-address-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv4-address-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -16,7 +16,7 @@
 {
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
  * @brief A helper class to make life easier while doing simple IPv4 address
  * assignment in scripts.
@@ -169,9 +169,9 @@
 
   private:
     /**
-     * \brief Returns the number of address bits (hostpart) for a given netmask
-     * \param maskbits the netmask
-     * \returns the number of bits in the hostpart
+     * @brief Returns the number of address bits (hostpart) for a given netmask
+     * @param maskbits the netmask
+     * @returns the number of bits in the hostpart
      */
     uint32_t NumAddressBits(uint32_t maskbits) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/helper/ipv4-global-routing-helper.h ns-3.44/src/internet/helper/ipv4-global-routing-helper.h
--- ns-3.43/src/internet/helper/ipv4-global-routing-helper.h	2024-10-09 16:41:09.880655800 -0700
+++ ns-3.44/src/internet/helper/ipv4-global-routing-helper.h	2025-03-09 16:55:49.383371000 -0700
@@ -16,23 +16,23 @@
 {
 
 /**
- * \ingroup ipv4Helpers
+ * @ingroup ipv4Helpers
  *
- * \brief Helper class that adds ns3::Ipv4GlobalRouting objects
+ * @brief Helper class that adds ns3::Ipv4GlobalRouting objects
  */
 class Ipv4GlobalRoutingHelper : public Ipv4RoutingHelper
 {
   public:
     /**
-     * \brief Construct a GlobalRoutingHelper to make life easier for managing
+     * @brief Construct a GlobalRoutingHelper to make life easier for managing
      * global routing tasks.
      */
     Ipv4GlobalRoutingHelper();
 
     /**
-     * \brief Construct a GlobalRoutingHelper from another previously initialized
+     * @brief Construct a GlobalRoutingHelper from another previously initialized
      * instance (Copy Constructor).
-     * \param o object to be copied
+     * @param o object to be copied
      */
     Ipv4GlobalRoutingHelper(const Ipv4GlobalRoutingHelper& o);
 
@@ -40,7 +40,7 @@
     Ipv4GlobalRoutingHelper& operator=(const Ipv4GlobalRoutingHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this Ipv4GlobalRoutingHelper
+     * @returns pointer to clone of this Ipv4GlobalRoutingHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -48,15 +48,15 @@
     Ipv4GlobalRoutingHelper* Copy() const override;
 
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
     Ptr<Ipv4RoutingProtocol> Create(Ptr<Node> node) const override;
 
     /**
-     * \brief Build a routing database and initialize the routing tables of
+     * @brief Build a routing database and initialize the routing tables of
      * the nodes in the simulation.  Makes all nodes in the simulation into
      * routers.
      *
@@ -66,7 +66,7 @@
      */
     static void PopulateRoutingTables();
     /**
-     * \brief Remove all routes that were previously installed in a prior call
+     * @brief Remove all routes that were previously installed in a prior call
      * to either PopulateRoutingTables() or RecomputeRoutingTables(), and
      * add a new set of routes.
      *
